﻿using System;
using System.Collections;
using System.Windows.Forms;

namespace TreeLabelEdit {
    internal class NodeSorter : IComparer {
        public int Compare(object item1, object item2) {
            var node1 = item1 as TreeNode;
            var node2 = item2 as TreeNode;

            if (node1.ImageIndex == node2.ImageIndex) { //both are of same type
                return string.Compare(node1.Text, node2.Text, StringComparison.CurrentCultureIgnoreCase);
            } else {
                return (node1.ImageIndex == 0) ? -1 : +1;
            }
        }
    }
}
